Initiate file upload
curl --request POST \
--url https://api.friendli.ai/beta/file \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"size": 123,
"digest": "<string>",
"projectId": "<string>"
}
'{
"fileId": "<string>",
"uploadUrl": "<string>",
"aws": {}
}File
Initiate file upload
Start a new file upload to Friendli Suite via the API. Returns a file ID and pre-signed upload URL to begin transferring your file data.
POST
/
beta
/
file
Initiate file upload
curl --request POST \
--url https://api.friendli.ai/beta/file \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"size": 123,
"digest": "<string>",
"projectId": "<string>"
}
'{
"fileId": "<string>",
"uploadUrl": "<string>",
"aws": {}
}Initiate file upload. To request successfully, it is required to enter a Personal API Key (e.g. flp_XXX) in the Bearer Token field. Refer to the authentication section on our introduction page to learn more and visit here to generate your API Key.Documentation Index
Fetch the complete documentation index at: https://friendli.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
This API is currently in Beta.
While we strive to provide a stable and reliable experience, this feature is still under active development.
As a result, you may encounter unexpected behavior or limitations.
We encourage you to provide feedback to help us improve the feature before its official release.
Authorizations
Headers
ID of team to run requests as (optional parameter).
Body
application/json
Last modified on April 29, 2026
⌘I